> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/editor-2/search-user-sequences.md).

# Search user sequences

This endpoint allows you to search through user sequences by specific criteria. <br>

**Endpoint Description:**

* **Endpoint**: `GET /api/user-sequences/search/`
* **Base URL**: `https://api.vomevolunteer.com`

**Query Parameters:**

**Core Filters**

&#x20;•  **id  (uuid)**: Filters user sequences by the ID.&#x20;

&#x20;•  **created\_at  (string)**: Filters user sequences by the **created\_at**.&#x20;

**Sample Request:**

```http
# id
GET /api/user-sequences/search/?id==6e84d2e9-ceb2-4b58-9bfb-97f49dd267e7

# created_at
GET /api/user-sequences/search/?created_at=2024-09-06T02:57:15.008656Z
```

**User Filters**

&#x20;•  **user.id  (uuid)**: Filters user sequences by the ID.&#x20;

&#x20;•  **user.first\_name  (string)**: Filters user sequences by the **user's first name**.&#x20;

&#x20;•  **user.last\_name  (string)**: Filters user sequences by the **user's last name**.&#x20;

&#x20;•  **user.email  (string)**: Filters user sequences by the **user's email** .&#x20;

•  **created\_at**: **(string)**: Filters user sequences by **created\_at**.&#x20;

* created\_at.gt (string, ISO-8601): Filters by created\_at > value (strictly after).
* created\_at.gte (string, ISO-8601): Filters by created\_at >= value.
* created\_at.lte (string, ISO-8601): Filters by created\_at <= value.
* created\_at.lt (string, ISO-8601): Filters by created\_at < value (strictly before).

**Sample Request:**

```
# id
GET /api/user-sequences/search/?user.id=6e84d2e9-ceb2-4b58-9bfb-97f49dd267e7

# first_name
GET /api/user-sequences/search/?user.first_name=Aaron

# last_name
GET /api/user-sequences/search/?user.last_name=James

# email
GET //api/user-sequences/search/?user.email=sampleemail04@domain.com

# created_at
GET /api/user-sequences/search/?created_at=2024-09-06T02:57:15.008656Z

# created_at.gte
GET /api/user-sequences/search/?created_at.gte=2024-09-06T02:57:15.008656Z

# created_at.gt
GET /api/user-sequences/search/?created_at.gt=2024-09-06T02:57:15.008656Z

# created_at.lte
GET /api/user-sequences/search/?created_at.lte=2024-09-06T02:57:15.008656Z

# created_at.lt
GET /api/user-sequences/search/?created_at.lt=2026-09-06T02:57:15.008656Z

```

**Response Structure:**

The response includes a paginated list of user sequences matching the search criteria, providing comprehensive details about each sequence and associated user.

**Example Response Object:**

```python
headers = {
    "API-KEY": "your_unique_api_key_here"
}
response = requests.get("https://api.vomevolunteer.com/api/form-submissions/6e84d2e9-ceb2-4b58-9bfb-97f49dd267e7", headers=headers)
```

```json
{
    "count": 49,
    "next": "http://3.96.242.26:8030/api/user-sequences/search/?first_name=Aaron&page=2",
    "previous": null,
    "results": [
        {
            "id": "4f02f472-2c15-436d-8a73-ff316cb9a78b",
            "user_info": {
                "id": "2c5f6853-7d10-427b-934b-1abc8d0ddcf1",
                "first_name": "Bill",
                "last_name": "Flood",
                "email": "bill.flood@mailinator.com",
                "gender": null,
                "address": "",
                "phone_number": "3343455454",
                "date_of_birth": null,
                "timezone": "America/Toronto",
                "address_coordinates": null
            },
            "sequence_info": {
                "id": "071ed9bf-ccce-4a31-9ce5-96fd6a0df0d9",
                "title": "Sample Sequence Testing - 09",
                "description": "<p>Sample</p>",
                "display_status": "Public",
                "step_info": [
                    {
                        "step": 2,
                        "type": 4,
                        "custom_step_details": [
                            {
                                "title": "Custom Step (No file)",
                                "description": "<p>Sample description of a step</p>",
                                "user_sequence_info": {
                                    "id": "11254adc-444e-4b77-a51c-222c4ed7b8cf",
                                    "status": 1,
                                    "completion_date": "2024-10-10T08:04:01.798052Z",
                                    "expiration_date": null,
                                    "attachment_added": null
                                }
                            }
                        ]
                    },
                    {
                        "step": 1,
                        "type": 4,
                        "custom_step_details": [
                            {
                                "title": "Background checks 2",
                                "description": "<p>Sample</p>",
                                "user_sequence_info": {
                                    "id": "892d267e-b337-4baa-b95e-90f59a61df40",
                                    "status": 1,
                                    "completion_date": "2024-10-10T08:03:58.176127Z",
                                    "expiration_date": null,
                                    "attachment_added": null
                                }
                            }
                        ]
                    }
                ]
            },
            "status": "Active",
            "created_at": "2024-10-10T08:03:23.530521Z",
            "updated_at": "2024-10-10T08:03:58.998298Z"
        },
 
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vomevolunteer.com/resources/editor-2/search-user-sequences.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
